KILL(1)

NAME
kill - send signals to processes, or list signals

SYNOPSIS
kill [-s SIGNAL | -SIGNAL] PID...
kill -l [SIGNAL]...
kill -t [SIGNAL]...

DESCRIPTION

Send signals to processes, or list signals.

Mandatory arguments to long options are mandatory for short options too.

-s, --signal=SIGNAL, -SIGNAL
    specify the name or number of the signal to be sent

-l, --list
    list signal names, or convert signal names to/from numbers

-t, --table
    print a table of signal information

--help
    display this help and exit

--version
    output version information and exit

SIGNAL may be a signal name like 'HUP', or a signal number like '1', or the exit status of a process terminated by a signal. PID is an integer; if negative it identifies a process group.

Your shell may have its own version of kill, which usually supersedes the version described here. Please refer to your shell's documentation for details about the options it supports.

AUTHOR
Written by Paul Eggert.

REPORTING BUGS
Report bugs to: bug-coreutils@gnu.org
GNU coreutils home page: <https://www.gnu.org/software/coreutils/>
General help using GNU software: <https://www.gnu.org/gethelp/>
Report any translation bugs to <https://translationproject.org/team/>

COPYRIGHT
Copyright © 2026 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
kill(2)

Full documentation <https://www.gnu.org/software/coreutils/kill>
or available locally via: info '(coreutils) kill invocation'